CURLMOPT_PUSHDATA(3)

NAME
CURLMOPT_PUSHDATA - pointer to pass to push callback

SYNOPSIS
#include <curl/curl.h>

CURLMcode curl_multi_setopt(CURLM *handle, CURLMOPT_PUSHDATA, void *pointer);

DESCRIPTION
Set pointer to pass as the last argument to the CURLMOPT_PUSHFUNCTION(3) callback. The pointer will not be touched or used by libcurl itself, only passed on to the callback function.

DEFAULT
NULL

PROTOCOLS
HTTP(S)

EXAMPLE
TODO

AVAILABILITY
Added in 7.44.0

RETURN VALUE
Returns CURLM_OK if the option is supported, and CURLM_UNKNOWN_OPTION if not.

SEE ALSO
CURLMOPT_PUSHFUNCTION(3), CURLMOPT_PIPELINING(3), CURLOPT_PIPEWAIT(3), RFC7540